<ion-header>
  <ion-navbar>
    <!-- seems to be visible only when no "back" button is shown, e.g. the navigation stack is empty -->
    <button ion-button menuToggle>
      <ion-icon name="menu"></ion-icon>
    </button>

    <ion-title>{{ genre?.name }}</ion-title>
  </ion-navbar>
</ion-header>

<ion-content>
  <ng-container *ngIf="movies | async as movies">
    <movie-list [movies]="movies" (onMovieClick)="onMovieClick()"></movie-list>

    <pagination
      [prevPageEnabled]="prevPageEnabled | async"
      [nextPageEnabled]="nextPageEnabled | async"
      (prevPage)="prevPage()"
      (nextPage)="nextPage()"
    ></pagination>
  </ng-container>
</ion-content>
